/// <reference types="node" />
import type { IncomingHttpHeaders } from 'node:http';
import type { LogOptions } from './logger/core';
type HeaderType = Headers | Record<string, any> | IncomingHttpHeaders;
type RequestBody = ArrayBuffer | Blob | ReadableStream | URLSearchParams | FormData;
export interface CreateRequestOptions {
    url: URL | string;
    clientAddress?: string | undefined;
    headers: HeaderType;
    method?: string;
    body?: RequestBody | undefined;
    logging: LogOptions;
    ssr: boolean;
    locals?: object | undefined;
}
export declare function createRequest({ url, headers, clientAddress, method, body, logging, ssr, locals, }: CreateRequestOptions): Request;
export {};
